# OnpointsApi

All URIs are relative to *https://uv.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**onpointsOnpointIdDaysDateGet**](OnpointsApi.md#onpointsOnpointIdDaysDateGet) | **GET** /onpoints/{onpointId}/days/{date} | A day of UV data for an OnPoint™ point.
[**onpointsOnpointIdDaysDateStartdateEndGet**](OnpointsApi.md#onpointsOnpointIdDaysDateStartdateEndGet) | **GET** /onpoints/{onpointId}/days/{dateStart},{dateEnd} | A contiguous range of daily UV data for an OnPoint™ point.
[**onpointsOnpointIdDaysGet**](OnpointsApi.md#onpointsOnpointIdDaysGet) | **GET** /onpoints/{onpointId}/days | The complete daily UV forecast for an OnPoint™ point.
[**onpointsOnpointIdHoursGet**](OnpointsApi.md#onpointsOnpointIdHoursGet) | **GET** /onpoints/{onpointId}/hours | The complete hourly UV forecast for an OnPoint™ point.
[**onpointsOnpointIdHoursTimestampGet**](OnpointsApi.md#onpointsOnpointIdHoursTimestampGet) | **GET** /onpoints/{onpointId}/hours/{timestamp} | An hour of UV data for an OnPoint™ point.
[**onpointsOnpointIdHoursTimestampStarttimestampEndGet**](OnpointsApi.md#onpointsOnpointIdHoursTimestampStarttimestampEndGet) | **GET** /onpoints/{onpointId}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly UV data for an OnPoint™ point.

<a name="onpointsOnpointIdDaysDateGet"></a>
# **onpointsOnpointIdDaysDateGet**
> UvOnpointDayObj onpointsOnpointIdDaysDateGet(onpointId, date, fields, unitScale)

A day of UV data for an OnPoint™ point.

Returns a single day of UV data for an OnPoint™ point. The provided date must exist within the current valid 5-day forecast range, or it must be a historical date.  **IMPORTANT:** To authenticate to the Weather Source UV API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = OnpointsApi()
val onpointId : kotlin.Int = 56 // kotlin.Int | An OnPoint™ ID.
val date : java.time.LocalDate = 2013-10-20 // java.time.LocalDate | An date formatted as a RFC3339 date value.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : UvOnpointDayObj = apiInstance.onpointsOnpointIdDaysDateGet(onpointId, date, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnpointsApi#onpointsOnpointIdDaysDateGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnpointsApi#onpointsOnpointIdDaysDateGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpointId** | **kotlin.Int**| An OnPoint™ ID. |
 **date** | **java.time.LocalDate**| An date formatted as a RFC3339 date value. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | [enum: timestampInit, uvIndexMax, all]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**UvOnpointDayObj**](UvOnpointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="onpointsOnpointIdDaysDateStartdateEndGet"></a>
# **onpointsOnpointIdDaysDateStartdateEndGet**
> UvOnpointDayObj onpointsOnpointIdDaysDateStartdateEndGet(onpointId, dateStart, dateEnd, fields, unitScale)

A contiguous range of daily UV data for an OnPoint™ point.

Returns a contiguous range of daily UV data for an OnPoint™ point. The temporal range provided must not exceed 1 year in duration.  **IMPORTANT:** To authenticate to the Weather Source UV API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = OnpointsApi()
val onpointId : kotlin.Int = 56 // kotlin.Int | An OnPoint™ ID.
val dateStart : java.time.LocalDate = 2013-10-20 // java.time.LocalDate | An date formatted as a RFC3339 date value that must occur temporally before dateEnd.
val dateEnd : java.time.LocalDate = 2013-10-20 // java.time.LocalDate | An date formatted as a RFC3339 date value that must occur temporally after dateStart.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : UvOnpointDayObj = apiInstance.onpointsOnpointIdDaysDateStartdateEndGet(onpointId, dateStart, dateEnd, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnpointsApi#onpointsOnpointIdDaysDateStartdateEndGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnpointsApi#onpointsOnpointIdDaysDateStartdateEndGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpointId** | **kotlin.Int**| An OnPoint™ ID. |
 **dateStart** | **java.time.LocalDate**| An date formatted as a RFC3339 date value that must occur temporally before dateEnd. |
 **dateEnd** | **java.time.LocalDate**| An date formatted as a RFC3339 date value that must occur temporally after dateStart. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | [enum: timestampInit, uvIndexMax, all]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**UvOnpointDayObj**](UvOnpointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="onpointsOnpointIdDaysGet"></a>
# **onpointsOnpointIdDaysGet**
> UvOnpointDayObj onpointsOnpointIdDaysGet(onpointId, fields, unitScale)

The complete daily UV forecast for an OnPoint™ point.

Returns the complete set of UV forecast data for an OnPoint™ point.  *Alternatively using a query that specificies just the days required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source UV API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = OnpointsApi()
val onpointId : kotlin.Int = 56 // kotlin.Int | An OnPoint™ ID.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : UvOnpointDayObj = apiInstance.onpointsOnpointIdDaysGet(onpointId, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnpointsApi#onpointsOnpointIdDaysGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnpointsApi#onpointsOnpointIdDaysGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpointId** | **kotlin.Int**| An OnPoint™ ID. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)*  | [enum: timestampInit, uvIndexMax, all]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**UvOnpointDayObj**](UvOnpointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="onpointsOnpointIdHoursGet"></a>
# **onpointsOnpointIdHoursGet**
> UvOnpointHourObj onpointsOnpointIdHoursGet(onpointId, fields, unitScale)

The complete hourly UV forecast for an OnPoint™ point.

Returns the complete set of UV forecast data for an OnPoint™ point.  *Alternatively using a query that specificies just the hours required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source UV API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = OnpointsApi()
val onpointId : kotlin.Int = 56 // kotlin.Int | An OnPoint™ ID.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : UvOnpointHourObj = apiInstance.onpointsOnpointIdHoursGet(onpointId, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnpointsApi#onpointsOnpointIdHoursGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnpointsApi#onpointsOnpointIdHoursGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpointId** | **kotlin.Int**| An OnPoint™ ID. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | [enum: timestampInit, uvIndex, all]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**UvOnpointHourObj**](UvOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="onpointsOnpointIdHoursTimestampGet"></a>
# **onpointsOnpointIdHoursTimestampGet**
> UvOnpointHourObj onpointsOnpointIdHoursTimestampGet(onpointId, timestamp, fields, unitScale)

An hour of UV data for an OnPoint™ point.

Returns a single hour of UV data for an OnPoint™ point. The provided timestamp must exist within the current valid 5-day forecast range, or it must be a historical timestamp.  **IMPORTANT:** To authenticate to the Weather Source UV API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = OnpointsApi()
val onpointId : kotlin.Int = 56 // kotlin.Int | An OnPoint™ ID.
val timestamp : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value. The UTC offset is required.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : UvOnpointHourObj = apiInstance.onpointsOnpointIdHoursTimestampGet(onpointId, timestamp, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnpointsApi#onpointsOnpointIdHoursTimestampGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnpointsApi#onpointsOnpointIdHoursTimestampGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpointId** | **kotlin.Int**| An OnPoint™ ID. |
 **timestamp** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | [enum: timestampInit, uvIndex, all]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**UvOnpointHourObj**](UvOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="onpointsOnpointIdHoursTimestampStarttimestampEndGet"></a>
# **onpointsOnpointIdHoursTimestampStarttimestampEndGet**
> UvOnpointHourObj onpointsOnpointIdHoursTimestampStarttimestampEndGet(onpointId, timestampStart, timestampEnd, fields, unitScale)

A contiguous range of hourly UV data for an OnPoint™ point.

Returns a contiguous range of hourly UV data for an OnPoint™ point. The temporal range provided must not exceed 1 year in duration.  **IMPORTANT:** To authenticate to the Weather Source UV API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = OnpointsApi()
val onpointId : kotlin.Int = 56 // kotlin.Int | An OnPoint™ ID.
val timestampStart : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required.
val timestampEnd : java.time.LocalDateTime = 2013-10-20T19:20:30+01:00 // java.time.LocalDateTime | A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required.
val fields : kotlin.Array<kotlin.String> =  // kotlin.Array<kotlin.String> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* 
val unitScale : kotlin.String = unitScale_example // kotlin.String | The unit scale for returned values.<br>
try {
    val result : UvOnpointHourObj = apiInstance.onpointsOnpointIdHoursTimestampStarttimestampEndGet(onpointId, timestampStart, timestampEnd, fields, unitScale)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnpointsApi#onpointsOnpointIdHoursTimestampStarttimestampEndGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnpointsApi#onpointsOnpointIdHoursTimestampStarttimestampEndGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpointId** | **kotlin.Int**| An OnPoint™ ID. |
 **timestampStart** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. |
 **timestampEnd** | **java.time.LocalDateTime**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. |
 **fields** | [**kotlin.Array&lt;kotlin.String&gt;**](kotlin.String.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)*  | [enum: timestampInit, uvIndex, all]
 **unitScale** | **kotlin.String**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL] [enum: IMPERIAL, METRIC, SI]

### Return type

[**UvOnpointHourObj**](UvOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

